Executes a ProductTransaction operation

Executes an operation of ProductTransaction

With the ProductTransaction service, you can perform the following operations on the execute endpoint:

  • GetProductTransactionByGroupNumber
  • GetProductTransactionByGroup
  • AddProductTransactionByGroup
  • GetLastCost

GetProductTransactionByGroupNumber

BODY PARAMS:
{
  "$type": "Asi.Soa.Core.DataContracts.GenericExecuteRequest, Asi.Contracts",
  "OperationName": "GetProductTransactionByGroupNumber",
  "EntityTypeName": "ProductTransaction",
  "Parameters": {
    "$type": "System.Collections.ObjectModel.Collection`1[[System.Object, mscorlib]], mscorlib",
    "$values": [
      {
        "$type": "System.String",
        "$value": "groupNumber Value"
      }
    ]
  },
  "ParameterTypeName": {
    "$type": "System.Collections.ObjectModel.Collection`1[[System.String, mscorlib]], mscorlib",
    "$values": [
      "System.String"
    ]
  },
  "UseJson": false
}

GetProductTransactionByGroup

BODY PARAMS:
{
  "$type": "Asi.Soa.Core.DataContracts.GenericExecuteRequest, Asi.Contracts",
  "OperationName": "GetProductTransactionByGroup",
  "EntityTypeName": "ProductTransaction",
  "Parameters": {
    "$type": "System.Collections.ObjectModel.Collection`1[[System.Object, mscorlib]], mscorlib",
    "$values": [
      {
        "$type": "Asi.Soa.Commerce.DataContracts.ProductTransactionData, Asi.Contracts",
        "$value": "productTransactionData Value"
      }
    ]
  },
  "ParameterTypeName": {
    "$type": "System.Collections.ObjectModel.Collection`1[[System.String, mscorlib]], mscorlib",
    "$values": [
      "Asi.Soa.Commerce.DataContracts.ProductTransactionData, Asi.Contracts"
    ]
  },
  "UseJson": false
}

AddProductTransactionByGroup

BODY PARAMS:
{
  "$type": "Asi.Soa.Core.DataContracts.GenericExecuteRequest, Asi.Contracts",
  "OperationName": "AddProductTransactionByGroup",
  "EntityTypeName": "ProductTransaction",
  "Parameters": {
    "$type": "System.Collections.ObjectModel.Collection`1[[System.Object, mscorlib]], mscorlib",
    "$values": [
      {
        "$type": "Asi.Soa.Commerce.DataContracts.ProductTransactionDataCollection, Asi.Contracts",
        "$value": "productTransactionDataCollection Value"
      }
    ]
  },
  "ParameterTypeName": {
    "$type": "System.Collections.ObjectModel.Collection`1[[System.String, mscorlib]], mscorlib",
    "$values": [
      "Asi.Soa.Commerce.DataContracts.ProductTransactionDataCollection, Asi.Contracts"
    ]
  },
  "UseJson": false
}

GetLastCost

BODY PARAMS:
{
  "$type": "Asi.Soa.Core.DataContracts.GenericExecuteRequest, Asi.Contracts",
  "OperationName": "GetLastCost",
  "EntityTypeName": "ProductTransaction",
  "Parameters": {
    "$type": "System.Collections.ObjectModel.Collection`1[[System.Object, mscorlib]], mscorlib",
    "$values": [
      {
        "$type": "System.String",
        "$value": "itemId Value"
      }
    ]
  },
  "ParameterTypeName": {
    "$type": "System.Collections.ObjectModel.Collection`1[[System.String, mscorlib]], mscorlib",
    "$values": [
      "System.String"
    ]
  },
  "UseJson": false
}
Body Params

request object to execute

string
enum
required
Defaults to Asi.Soa.Core.DataContracts.GenericExecuteRequest, Asi.Contracts

The DataType must be "Asi.Soa.Core.DataContracts.GenericExecuteRequest, Asi.Contracts"

Allowed:
string
string
Parameters
array
Parameters
ParameterTypeNames
array of strings
ParameterTypeNames
string
boolean
Defaults to false
Responses
200

The request was successful.

201

The resource was successfully created.

202

The resource was asynchronously created.

Language
Credentials
OAuth2
Response
Click Try It! to start a request and see the response here!

Contact us
Copyright © Advanced Solutions International, All rights reserved.